Package com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation

# Class OpFetchSerializerForTypeVariable

java.lang.Object
com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpAbstract
com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpFetchSerializerForTypeVariable

All Implemented Interfaces:
  `CBCGSerializerInstantiationOperationType`, `OpFetchSerializerType`, `Comparable<CBCGSerializerInstantiationOperationType>`

public final class OpFetchSerializerForTypeVariable extends OpAbstract implements OpFetchSerializerType
An operation that fetches a serializer for the given type variable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpFetchSerializerForTypeVariable(int order, com.io7m.jodist.TypeVariableName inJavaTypeVariableName, OpBuildTypeArgumentForTypeVariable inRuntimeTypeFetch, String inLocalName)`
  An operation that fetches a serializer for the given type variable.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `javaLocalName()`
  `com.io7m.jodist.CodeBlock`
  `serialize()`

  ### Methods inherited from class com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.OpAbstract

  `programOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.cedarbridge.codegen.java.internal.serializer_instantiation.CBCGSerializerInstantiationOperationType

  `compareTo, programOrder`

- ## Constructor Details

  - ### OpFetchSerializerForTypeVariable

    public OpFetchSerializerForTypeVariable(int order, com.io7m.jodist.TypeVariableName inJavaTypeVariableName, OpBuildTypeArgumentForTypeVariable inRuntimeTypeFetch, String inLocalName)
    An operation that fetches a serializer for the given type variable.
    Parameters:
      `order` - The program order
      `inJavaTypeVariableName` - The type variable
      `inRuntimeTypeFetch` - The operation that builds a type variable
      `inLocalName` - The local variable name

- ## Method Details

  - ### javaLocalName

    public String javaLocalName()
    Specified by:
      `javaLocalName` in interface `OpFetchSerializerType`
    Returns:
      The java class to which this operation belongs

  - ### serialize

    public com.io7m.jodist.CodeBlock serialize()
    Specified by:
      `serialize` in interface `CBCGSerializerInstantiationOperationType`
    Returns:
      The code block to execute